1. Requirements

eProsima Fast RTPS requires the following packages to work.

1.1. Common Dependencies

1.1.1. Gtest

Gtest is needed to compile the tests when building from sources.

1.1.2. Java & Gradle

Java & gradle is required to make use of our built-in code generation tool fastrtpsgen (see Compile).

1.2. Windows 7 32-bit and 64-bit

1.2.1. Visual C++ 2015 or 2017 Redistributable Package

eProsima Fast RTPS requires the Visual C++ Redistributable packages for the Visual Studio version you choose during the installation or compilation. The installer gives you the option of downloading and installing them.